POST api/v1/partner/po/custId/{custId}?retNewPo={retNewPo}&poOrigin={poOrigin}&poSupplierId={poSupplierId}&poDepositorId={poDepositorId}

Imports an Inbound PO

Request Information

URI Parameters

NameDescriptionTypeAdditional information
custId

custId

string

Required

retNewPo

Optional retNewPO

boolean

Default value is False

poOrigin

Optional poOrigin

integer

Default value is 0

poSupplierId

Optional poSupplierID

integer

Default value is 0

poDepositorId

poDepositorID

integer

Default value is 0

Body Parameters

ApiPoImport Object

ApiPoImport
NameDescriptionTypeAdditional information
CustId

CustId

string

None.

Warehouse

Warehouse

string

None.

ImpBatch

ImpBatch

string

None.

PoHeader

PoHeader

ApiPoImportHeader

None.

PoItemList

PoItemList

Collection of ApiPoImportItem

None.

PoToteItemList

PoToteItemList

Collection of ApiPoImportToteItem

None.

Request Formats

application/json, text/json

Sample:
{
  "CustId": "TESTCUST1",
  "Warehouse": null,
  "ImpBatch": "1001",
  "PoHeader": {
    "RecordType": "1",
    "TransType": null,
    "Reference": "104394",
    "PODate": "2026-04-16T00:00:00-04:00",
    "POSource": "ERPSystem",
    "SONumber": null,
    "DelStartDate": null,
    "DelEndDate": null,
    "POShipFrID": null,
    "POShipFrContact": "Shipping Dept",
    "POShipFrCompany": "Sample Company Inc",
    "POShipFrAddr1": "30 Somewhere Street",
    "POShipFrAddr2": null,
    "POShipFrCity": "Toronto",
    "POShipFrProvince": "ON",
    "POShipFrPostCode": "M1X 3P4",
    "POShipFrCountry": "CA",
    "POShipFrPhone": null,
    "POShipFrEmail": null,
    "POShipFrMIDCode": null,
    "POTransNo": null,
    "POBatchNo": null,
    "PODepID": null,
    "PODepContact": "Receiving Dept",
    "PODepCompany": "Thinklogistics Inc",
    "PODepAddr1": "140 Great Gulf Drive",
    "PODepAddr2": "Unit A",
    "PODepCity": "Vaughan",
    "PODepProvince": "ON",
    "PODepPostCode": "L4K 5W1",
    "PODepCountry": "CA",
    "PODepPhone": "416-900-1291",
    "PODepEmail": "inbound@thinklogistics.com",
    "Currency": null,
    "ShipVia": "LTLTruck",
    "SCAC": null,
    "TransMethodCode": "M",
    "EDIPO": false,
    "RcvLoc": null,
    "RcvLocCode": null,
    "MiscInfo1": null,
    "MiscInfo2": null,
    "MiscInfo3": null,
    "MiscInfo4": null,
    "Comments": "This is a test PO",
    "HasParseError": false,
    "RawRecordData": null,
    "Error": null,
    "IsEmpty": false,
    "Deleted": false,
    "GetDateTimeMinimum": "1754-01-01T00:00:00"
  },
  "PoItemList": [
    {
      "RecordType": "2",
      "Reference": null,
      "LineNum": "1",
      "ItemType": "P",
      "StockCode": "PROD01",
      "StockDesc": "Product 1",
      "Quantity": 100,
      "UOM": "EA",
      "BuyerCode": null,
      "VendorCode": null,
      "PackQty": null,
      "InnerPackQty": null,
      "MiscInfo1": null,
      "MiscInfo2": null,
      "MiscInfo3": null,
      "MiscInfo4": null,
      "UnitPrice": null,
      "ExtPrice": null,
      "POLineNo": null,
      "POSubLineNo": null,
      "Weight": null,
      "WeightUOM": null,
      "Volume": null,
      "VolumeUOM": null,
      "BarCode": null,
      "MfgPN": null,
      "Size": null,
      "SizeUOM": null,
      "SizeUOM2": null,
      "Color1": null,
      "Color2": null,
      "HasParseError": false,
      "RawRecordData": null,
      "Error": null,
      "IsEmpty": true,
      "Deleted": false,
      "GetDateTimeMinimum": "1754-01-01T00:00:00"
    },
    {
      "RecordType": "2",
      "Reference": null,
      "LineNum": "2",
      "ItemType": "P",
      "StockCode": "PROD02",
      "StockDesc": "Product 2",
      "Quantity": 50,
      "UOM": "EA",
      "BuyerCode": null,
      "VendorCode": null,
      "PackQty": null,
      "InnerPackQty": null,
      "MiscInfo1": null,
      "MiscInfo2": null,
      "MiscInfo3": null,
      "MiscInfo4": null,
      "UnitPrice": null,
      "ExtPrice": null,
      "POLineNo": null,
      "POSubLineNo": null,
      "Weight": null,
      "WeightUOM": null,
      "Volume": null,
      "VolumeUOM": null,
      "BarCode": null,
      "MfgPN": null,
      "Size": null,
      "SizeUOM": null,
      "SizeUOM2": null,
      "Color1": null,
      "Color2": null,
      "HasParseError": false,
      "RawRecordData": null,
      "Error": null,
      "IsEmpty": true,
      "Deleted": false,
      "GetDateTimeMinimum": "1754-01-01T00:00:00"
    }
  ],
  "PoToteItemList": null,
  "IsEmpty": false,
  "Deleted": false,
  "GetDateTimeMinimum": "1754-01-01T00:00:00"
}

application/xml, text/xml

Sample:
<ApiPoImport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Duplium.DFS3.Data.ApiEntity">
  <CustId>TESTCUST1</CustId>
  <ImpBatch>1001</ImpBatch>
  <PoHeader>
    <Comments>This is a test PO</Comments>
    <Currency i:nil="true" />
    <DelEndDate i:nil="true" />
    <DelStartDate i:nil="true" />
    <EDIPO>false</EDIPO>
    <MiscInfo1 i:nil="true" />
    <MiscInfo2 i:nil="true" />
    <MiscInfo3 i:nil="true" />
    <MiscInfo4 i:nil="true" />
    <POBatchNo i:nil="true" />
    <PODate>2026-04-16T00:00:00-04:00</PODate>
    <PODepAddr1>140 Great Gulf Drive</PODepAddr1>
    <PODepAddr2>Unit A</PODepAddr2>
    <PODepCity>Vaughan</PODepCity>
    <PODepCompany>Thinklogistics Inc</PODepCompany>
    <PODepContact>Receiving Dept</PODepContact>
    <PODepCountry>CA</PODepCountry>
    <PODepEmail>inbound@thinklogistics.com</PODepEmail>
    <PODepID i:nil="true" />
    <PODepPhone>416-900-1291</PODepPhone>
    <PODepPostCode>L4K 5W1</PODepPostCode>
    <PODepProvince>ON</PODepProvince>
    <POShipFrAddr1>30 Somewhere Street</POShipFrAddr1>
    <POShipFrAddr2 i:nil="true" />
    <POShipFrCity>Toronto</POShipFrCity>
    <POShipFrCompany>Sample Company Inc</POShipFrCompany>
    <POShipFrContact>Shipping Dept</POShipFrContact>
    <POShipFrCountry>CA</POShipFrCountry>
    <POShipFrEmail i:nil="true" />
    <POShipFrID i:nil="true" />
    <POShipFrMIDCode i:nil="true" />
    <POShipFrPhone i:nil="true" />
    <POShipFrPostCode>M1X 3P4</POShipFrPostCode>
    <POShipFrProvince>ON</POShipFrProvince>
    <POSource>ERPSystem</POSource>
    <POTransNo i:nil="true" />
    <RcvLoc i:nil="true" />
    <RcvLocCode i:nil="true" />
    <Reference>104394</Reference>
    <SCAC i:nil="true" />
    <SONumber i:nil="true" />
    <ShipVia>LTLTruck</ShipVia>
    <TransMethodCode>M</TransMethodCode>
    <TransType i:nil="true" />
  </PoHeader>
  <PoItemList>
    <ApiPoImportItem>
      <BarCode i:nil="true" />
      <BuyerCode i:nil="true" />
      <Color1 i:nil="true" />
      <Color2 i:nil="true" />
      <ExtPrice i:nil="true" />
      <InnerPackQty i:nil="true" />
      <ItemType>P</ItemType>
      <LineNum>1</LineNum>
      <MfgPN i:nil="true" />
      <MiscInfo1 i:nil="true" />
      <MiscInfo2 i:nil="true" />
      <MiscInfo3 i:nil="true" />
      <MiscInfo4 i:nil="true" />
      <POLineNo i:nil="true" />
      <POSubLineNo i:nil="true" />
      <PackQty i:nil="true" />
      <Quantity>100</Quantity>
      <Reference i:nil="true" />
      <Size i:nil="true" />
      <SizeUOM i:nil="true" />
      <SizeUOM2 i:nil="true" />
      <StockCode>PROD01</StockCode>
      <StockDesc>Product 1</StockDesc>
      <UOM>EA</UOM>
      <UnitPrice i:nil="true" />
      <VendorCode i:nil="true" />
      <Volume i:nil="true" />
      <VolumeUOM i:nil="true" />
      <Weight i:nil="true" />
      <WeightUOM i:nil="true" />
    </ApiPoImportItem>
    <ApiPoImportItem>
      <BarCode i:nil="true" />
      <BuyerCode i:nil="true" />
      <Color1 i:nil="true" />
      <Color2 i:nil="true" />
      <ExtPrice i:nil="true" />
      <InnerPackQty i:nil="true" />
      <ItemType>P</ItemType>
      <LineNum>2</LineNum>
      <MfgPN i:nil="true" />
      <MiscInfo1 i:nil="true" />
      <MiscInfo2 i:nil="true" />
      <MiscInfo3 i:nil="true" />
      <MiscInfo4 i:nil="true" />
      <POLineNo i:nil="true" />
      <POSubLineNo i:nil="true" />
      <PackQty i:nil="true" />
      <Quantity>50</Quantity>
      <Reference i:nil="true" />
      <Size i:nil="true" />
      <SizeUOM i:nil="true" />
      <SizeUOM2 i:nil="true" />
      <StockCode>PROD02</StockCode>
      <StockDesc>Product 2</StockDesc>
      <UOM>EA</UOM>
      <UnitPrice i:nil="true" />
      <VendorCode i:nil="true" />
      <Volume i:nil="true" />
      <VolumeUOM i:nil="true" />
      <Weight i:nil="true" />
      <WeightUOM i:nil="true" />
    </ApiPoImportItem>
  </PoItemList>
  <PoToteItemList i:nil="true" />
  <Warehouse i:nil="true" />
</ApiPoImport>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

PKID of the new ApiPoHeader record or ApiPoFull object of the newly created PO

integer

Response Formats

application/json, text/json, application/xml, text/xml

Sample:
12352